import * as $dara from '@darabonba/typescript';
import { DescribeEipSegmentResponseBody } from "./DescribeEipSegmentResponseBody";
export declare class DescribeEipSegmentResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeEipSegmentResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
